Debian Bug report logs - #511632
live-magic: live magic does not show on panel or alt+tab until build

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Alon Horn <alonhorn@yahoo.com>

Date: Mon, 12 Jan 2009 22:12:02 UTC

Severity: minor

Found in version live-magic/1.2

Fixed in version live-magic/1.5

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, alonhorn@yahoo.com, Debian Live <debian-live@lists.debian.org>:
Bug#511632; Package live-magic. (Mon, 12 Jan 2009 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alon Horn <alonhorn@yahoo.com>:
New Bug report received and forwarded. Copy sent to alonhorn@yahoo.com, Debian Live <debian-live@lists.debian.org>. (Mon, 12 Jan 2009 22:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alon Horn <alonhorn@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-magic: live magic does not show on panel or alt+tab until build
Date: Tue, 13 Jan 2009 00:12:45 +0200
Package: live-magic
Version: 1.2
Severity: minor

live magic does not show up on the window list panel or on alt+tab until 
it gets to the building stage, so changing windows/ minimizing all 
windows makes it disappear. found again after loading another instance 
and exiting the 2nd one. (1st instance reappeared on screen where i left 
off)

Alon
salonh@t2.technion.ac.il


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-magic depends on:
ii  gksu                         2.0.0-6     graphical frontend to su
ii  live-helper                  1.0.2-1     Debian Live build scripts
ii  python                       2.5.2-3     An interactive high-level object-o
ii  python-glade2                2.12.1-6    GTK+ bindings: Glade support
ii  python-gtk2                  2.12.1-6    Python bindings for the GTK+ widge
ii  python-support               0.8.4       automated rebuilding support for P
ii  python-vte                   1:0.16.14-4 Python bindings for the VTE widget
ii  xdg-utils                    1.0.2-6     desktop integration utilities from

Versions of packages live-magic recommends:
ii  cdebootstrap                  0.5.3      Bootstrap a Debian system

live-magic suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511632; Package live-magic. (Wed, 14 Jan 2009 00:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 14 Jan 2009 00:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 511632@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Alon Horn <alonhorn@yahoo.com>, 511632@bugs.debian.org
Subject: Re: Bug#511632: live-magic: live magic does not show on panel or alt+tab until build
Date: Tue, 13 Jan 2009 23:57:45 +0000
[Message part 1 (text/plain, inline)]
Alon Horn wrote:

> live magic does not show up on the window list panel or on alt+tab until 
> it gets to the building stage,

Hm, it does appear in the window list for me (awesome 3.0). What window
manager are you using?


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511632; Package live-magic. (Tue, 27 Jan 2009 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 27 Jan 2009 16:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 511632@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Alon Horn <alonhorn@yahoo.com>
Cc: 511632@bugs.debian.org
Subject: Re: Bug#511632: live-magic: live magic does not show on panel or alt+tab until build
Date: Tue, 27 Jan 2009 16:31:23 +0000
[Message part 1 (text/plain, inline)]
Alon Horn wrote:

> it's metacity:
> 
> horn:/home/alon# update-alternatives --display x-window-manager
> x-window-manager - status is auto.
>  link currently points to /usr/bin/metacity
> /usr/bin/metacity - priority 60
>  slave x-window-manager.1.gz: /usr/share/man/man1/metacity.1.gz
> /usr/bin/twm - priority 40
>  slave x-window-manager.1.gz: /usr/share/man/man1/twm.1.gz
> Current `best' version is /usr/bin/metacity.

Please take care to always preserve CC when replying - your message was
not copied to the bug report.

Are you running a full GNOME environment? I don't believe gnome-panel
shows "dialogues" (such as the wizard part).

Perhaps you could provide screenshots?


Regards,

/Lamby

 [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511632

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511632; Package live-magic. (Wed, 28 Jan 2009 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alon Horn <alonhorn@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 28 Jan 2009 20:12:02 GMT) Full text and rfc822 format available.

Message #20 received at 511632@bugs.debian.org (full text, mbox):

From: Alon Horn <alonhorn@yahoo.com>
To: Chris Lamb <lamby@debian.org>
Cc: 511632@bugs.debian.org
Subject: Re: Bug#511632: live-magic: live magic does not show on panel or alt+tab until build
Date: Wed, 28 Jan 2009 12:08:23 -0800 (PST)
[Message part 1 (text/plain, inline)]
hi,
sorry about the cc i didn't notice it..
I do run the full GNOME, so that might be the cause. screenshot attached.
should I post a bug to GNOME then? could you please tell me against what pakage? because it's just lost once it's minnimized...
thanks,
Alon


--- On Wed, 28/1/09, Chris Lamb <lamby@debian.org> wrote:

From: Chris Lamb <lamby@debian.org>
Subject: Re: Bug#511632: live-magic: live magic does not show on panel or  alt+tab until build
To: "Alon Horn" <alonhorn@yahoo.com>
Cc: 511632@bugs.debian.org
Received: Wednesday, 28 January, 2009, 3:31 AM

Alon Horn wrote:

> it's metacity:
> 
> horn:/home/alon# update-alternatives --display x-window-manager
> x-window-manager - status is auto.
>  link currently points to /usr/bin/metacity
> /usr/bin/metacity - priority 60
>  slave x-window-manager.1.gz: /usr/share/man/man1/metacity.1.gz
> /usr/bin/twm - priority 40
>  slave x-window-manager.1.gz: /usr/share/man/man1/twm.1.gz
> Current `best' version is /usr/bin/metacity.

Please take care to always preserve CC when replying - your message was
not copied to the bug report.

Are you running a full GNOME environment? I don't believe gnome-panel
shows "dialogues" (such as the wizard part).

Perhaps you could provide screenshots?


Regards,

/Lamby

 [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511632

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-



      Stay connected to the people that matter most with a smarter inbox. Take a look http://au.docs.yahoo.com/mail/smarterinbox
[Message part 2 (text/html, inline)]
[sslivemagic.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511632; Package live-magic. (Thu, 29 Jan 2009 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 29 Jan 2009 00:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 511632@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Alon Horn <alonhorn@yahoo.com>
Cc: 511632@bugs.debian.org
Subject: Re: Bug#511632: live-magic: live magic does not show on panel or alt+tab until build
Date: Thu, 29 Jan 2009 00:00:51 +0000
[Message part 1 (text/plain, inline)]
tags 511632 +pending
thanks

> I do run the full GNOME, so that might be the cause. screenshot attached.
> should I post a bug to GNOME then? could you please tell me against what
> pakage? because it's just lost once it's minnimized... thanks,

I understand the issue now; many thanks - it's not a bug in GNOME, I'm
setting the wrong window hint. Thanks to Daniel Watkins for testing stuff.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Chris Lamb <lamby@debian.org> to control@bugs.debian.org. (Thu, 29 Jan 2009 00:03:07 GMT) Full text and rfc822 format available.

Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Thu, 29 Jan 2009 00:54:05 GMT) Full text and rfc822 format available.

Notification sent to Alon Horn <alonhorn@yahoo.com>:
Bug acknowledged by developer. (Thu, 29 Jan 2009 00:54:05 GMT) Full text and rfc822 format available.

Message #32 received at 511632-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 511632-close@bugs.debian.org
Subject: Bug#511632: fixed in live-magic 1.5
Date: Thu, 29 Jan 2009 00:32:03 +0000
Source: live-magic
Source-Version: 1.5

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.5.dsc
  to pool/main/l/live-magic/live-magic_1.5.dsc
live-magic_1.5.tar.gz
  to pool/main/l/live-magic/live-magic_1.5.tar.gz
live-magic_1.5_all.deb
  to pool/main/l/live-magic/live-magic_1.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 04:01:59 +0000
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.5
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 511632
Changes: 
 live-magic (1.5) unstable; urgency=low
 .
   * Use WINDOW_TYPE_HINT_DIALOG hint instead of WINDOW_TYPE_HINT_MENU to
     prevent awkward and non-intuitive behaviour when iconifying window.
     Thanks to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Closes: #511632)
   * Correct (and clarify) logic of file manager fallback.
   * Re-order import of GTK and PyGTK as GTK requires that PyGTK is imported
     first. This is required for compatibility with python-gtk2 2.13 (currently
     in experimental). Thanks to Michael Vogt.
   * Add missing 'ignore-system-defaults' and 'color' constructor arguments.
Checksums-Sha1: 
 b7de235713135e5f89961bfe295139c19794de16 1016 live-magic_1.5.dsc
 220523e122a120f78529caf6ccd66901adc03013 78507 live-magic_1.5.tar.gz
 44665ba8e03c37e01c65c4c45fc1c41336a7ddbb 62162 live-magic_1.5_all.deb
Checksums-Sha256: 
 b14d20a99dc2b7a3a3c52531147abbf7f49f40963a227557c92551eb3cb13b49 1016 live-magic_1.5.dsc
 830923d0bfe59dbf1d60b1f81c399199be8b31d2f69a85423fabb9de56272d57 78507 live-magic_1.5.tar.gz
 7464e803020cf8abbbebd8ee891a510c2ecb2935480d864a82dac6608e7bfbff 62162 live-magic_1.5_all.deb
Files: 
 8af8b5a312926147837bc2d6748ab036 1016 misc optional live-magic_1.5.dsc
 f8aa50f6804155b0f58982861e02f69a 78507 misc optional live-magic_1.5.tar.gz
 7fdaeba2aa412447c60bc33f73adf8d6 62162 misc optional live-magic_1.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmA9qYACgkQ5/8uW2NPmiD2UQCeNfZeiFXvs1RPEMCXJKj9A7bU
Pb4An3iyOkpeeYUsJtyquYh6JnGFU4wb
=IJBR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Mar 2009 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:22:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.